import { customElement, inlineView } from "aurelia-framework";

@customElement("ui-toolbar")
@inlineView(`<template class="ui-toolbar"><div class="ui-toolbar__left"><slot name="ui-toolbar__left"></slot></div><div class="ui-toolbar__center"><slot name="ui-toolbar__center"></slot></div><div class="ui-toolbar__right"><slot name="ui-toolbar__right"></slot></div></template>`)
export class UIToolbar {
  constructor(protected element: Element) {
    if (element.hasAttribute("align-end")) {
      element.classList.add("ui-row--end");
    }
  }
}